Create a session
curl --request POST \
--url https://whatsrb.com/api/v1/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"session": {
"name": "My Session"
}
}
'import requests
url = "https://whatsrb.com/api/v1/sessions"
payload = { "session": { "name": "My Session" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({session: {name: 'My Session'}})
};
fetch('https://whatsrb.com/api/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"status": "connecting",
"status_reason": "<string>",
"phone_number": "<string>",
"qr_code": "<string>",
"connected": true,
"last_connected_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid or missing API key"
}{
"error": "Business account limit reached for your plan (free)",
"details": {
"limit": 1
}
}{
"error": "Validation failed",
"details": {
"to": [
"can't be blank"
]
}
}Sessions
Create a session
POST
/
sessions
Create a session

